Package org.eclipse.birt.report.engine.content

# Interface ITextContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContent`, `IElement`, `IStyledElement`

All Known Subinterfaces:
  `IAutoTextContent`, `IDataContent`, `ILabelContent`

public interface ITextContent extends IContent
Provides the interfaces for the Text Content Text content contains several paragraphs which shares the same style properties. If the text contain several return characters and the display is inline, it is treated as "INLINE-BLOCK" otherwise it is "INLINE". If the display is "block", it is "BLOCK" always.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
Get the string value of the Text Content.
`void`
`setText(String text)`
Set the value of the text of the Text Content.

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### getText

String getText()
Get the string value of the Text Content.

Returns:
  Returns the text value.

### setText

void setText(String text)
Set the value of the text of the Text Content.

Parameters:
  `text` - the text value.